# Message Formats (DRAFT)
Consists of all messages transferred into and out of the Communications Backbone. Message type schemas will be developed once reviewing each vehicle's data and statuses defined by each partner.

## Types of Messages by Software Component
### 1/ Autonomy Engine
#### Transmit
* mission plan _(sent per vehicle)_
* TBD: 
    * Will emergency commands be sent via the autonomy engine (from the GUI) or directly to the C2s?

#### Receive
* configuration file
* emergency stop all
* decoded ecosub status message
* decoded reav status message
* decoded autosub-hover status message
* decoded ecosub survey data _(from squad 1 vehicles)_

----------------------------------

### 2/ Ecosub C2
#### Transmit
* compiled ecosub mission plan
* decoded ecosub status message
* configuration file
* decoded ecosub survey data


#### Receive
* mission plan
* encoded ecosub status message
* encoded ecosub survey data

----------------------------------

### 3/ Autosub C2 
#### Transmit
* compiled autosub-hover mission plan
* decoded autosub-hover status message
* configuration file


#### Receive
* mission plan
* encoded autosub-hover status message


----------------------------------

### 4/ Reav C2 
#### Transmit
* decoded reav-60 status message?


#### Receive
* mission plan
* encoded reav-60 status message?

----------------------------------

### 5/ Hermes Box/Hydrosurv Smart Router? 
#### Transmit
* encoded ecosub status message
* encoded (or is this already decoded?) reav status message
* encoded autosub status message
* encoded ecosub survey data
* TBD: 
    * are there acknowledgment messages from vehicles?
    * how are we receiving beacon messages per vehicle?

#### Receive
* compiled ecosub mission plan
* compiled reav mission plan
* compiled autosub mission plan
* compiled ecosub emergency command
* compiled reav emergency command
* compiled autosub emergency command
